### Constructor

# ICalGLib VcardTime new_from_string

since: 4.0

#### Declaration [src]

    ICalVcardTime*
    i_cal_vcard_time_new_from_string (
      const gchar* str,
      gboolean is_bare_time
    )

#### Description [src]

Creates a time from the `str`.

Available since: 4.0

#### Parameters

`str`

  Type: `const gchar*`

  The time string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`is_bare_time`

  Type: `gboolean`

  Whether the string contains a bare time, not date/time.

#### Return value

Type: `const ICalVcardTime`

The newly created `ICalVcardTime`.

The caller of the function takes ownership of the data, and is responsible for freeing it.